<?php

namespace Intergo\BaseClient\Responses;

class BaseResponse extends AbstractBaseResponse
{
    /**
     * @param $response
     */
    public function __construct($response)
    {
        $baseResponse['success'] = $response['success'] ?? true;
        $baseResponse['message'] = $response['message'] ?? 'Custom response received';
        $baseResponse['statusCode'] = $response['statusCode'] ?? 200;
        $baseResponse['data'] = $response['data'] ?? $response;
        parent::__construct($baseResponse);
    }
}
